cURL
curl --request POST \
--url https://gateway.varchev.com/ipg/payment/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'organizationId: <organizationid>' \
--data '
{
"status": "<string>",
"pagination": {
"pageNumber": 123,
"pageSize": 123,
"fromDate": "2023-11-07T05:31:56Z",
"toDate": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://gateway.varchev.com/ipg/payment/transactions"
payload = {
"status": "<string>",
"pagination": {
"pageNumber": 123,
"pageSize": 123,
"fromDate": "2023-11-07T05:31:56Z",
"toDate": "2023-11-07T05:31:56Z"
}
}
headers = {
"organizationId": "<organizationid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
organizationId: '<organizationid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
status: '<string>',
pagination: {
pageNumber: 123,
pageSize: 123,
fromDate: '2023-11-07T05:31:56Z',
toDate: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://gateway.varchev.com/ipg/payment/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"result": null,
"paymentId": null,
"timestamp": null,
"amount": "<string>",
"currency": "<string>",
"systemPaymentId": "<string>",
"merchantTransactionId": "<string>",
"transactionStatus": {
"detail": "<string>"
},
"captureamount": "<string>",
"refundamount": "<string>",
"chargebackamount": "<string>",
"payoutamount": "<string>",
"date": "<string>",
"transactionDate": "<string>",
"remark": "<string>",
"customer": {
"givenName": "<string>",
"surname": "<string>",
"phone": "<string>",
"email": "<string>",
"telnocc": "<string>",
"country": "<string>",
"city": "<string>",
"street": "<string>"
},
"card": {
"bin": "<string>",
"last4Digits": "<string>",
"holder": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>"
},
"transactionReceiptImg": "<string>",
"bankReferenceId": "<string>",
"terminalid": 123
}
]
}IPG Payment APIs
Post payment transactions
POST
/
payment
/
transactions
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/jsontext/jsonapplication/*+json
Response
Success
Show child attributes
Show child attributes
⌘I

